Package pywbem :: Module cim_obj :: Class CIMClassName |
[frames] | no frames]

# Class CIMClassName

source code

    object --+
             |
            CIMClassName

A CIM class path.

A CIM class path references a CIM class in a namespace in a WBEM server. Namespace and WBEM server may be unknown.

Instance Methods
__init__(self, classname, host=None, namespace=None) Initialize the CIMClassName object. | source code
copy(self) | source code
__cmp__(self, other) | source code
__str__(self) str(x) | source code
__repr__(self) repr(x) | source code
tocimxml(self) | source code
Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Instance Variables
| ... All parameters of __init__ are set as instance variables.

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, classname, host=None, namespace=None) (Constructor) | source code
Initialize the CIMClassName object. Parameters: `classname` (`unicode` or UTF-8 encoded `str`) - Name of the referenced class. `host` (`unicode` or UTF-8 encoded `str`) - Optional: URL of the WBEM server that contains the CIM namespace of this class path. If `None`, the class path will not specify a WBEM server. Default: `None`. `namespace` (`unicode` or UTF-8 encoded `str`) - Optional: Name of the CIM namespace that contains the referenced class. If `None`, the class path will not specify a CIM namespace. Default: `None`. Raises: `TypeError` `ValueError` Overrides: object.__init__

### __str__(self) (Informal representation operator) | source code
str(x) Overrides: object.__str__ (inherited documentation)

### __repr__(self) (Representation operator) | source code
repr(x) Overrides: object.__repr__ (inherited documentation)